location.h File Reference
`#include <string>`
Include dependency graph for location.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | core::Location

## Namespaces

namespace | core

## Macros

#define | CORE_FROM_HERE()

## Functions

Location | core::from_here (const std::string &file, const std::string &function, std::size_t line)

## Macro Definition Documentation

## CORE_FROM_HERE

#define CORE_FROM_HERE | ( |  | ) |

Value:
core::from_here(__FILE__, __FUNCTION__, __LINE__)
core::from_here
Location from_here(const std::string &file, const std::string &function, std::size_t line)

Definition at line 37 of file location.h.